Subject: [saag] Cryptographic suite terminology

From: Mohit Sethi M <[email-masked]>
Date: Sat, 20 Mar 2021 07:49:10 +0000

Our documents seem to use a mixture of the following terms:

* Cryptosuite - Examples: RFC 6696, 6630, 5296

* Crypto-suite - Examples: RFC 4568, 5072

* Cipher-suite - Examples: RFC 7826, 8548

* Ciphersuite - Examples: RFC 8492, 8489, 8253

* Cipher suite - Examples: RFC 8701, 8618, 8447

* Cryptographic suite - Examples: RFC 5996, 7296, 7815

Note, the examples are non-exhaustive. Some terms are used much more 
often than others. Is there a difference in the meaning of the terms and 
do we want to reduce the amount of terms used in our documents?

--Mohit

---

From: John Mattsson <[email-masked]>
Date: Sat, 20 Mar 2021 09:53:56 +0000

I think all of these are ok, none of them should cause any confusion. I personally tend to use "cipher suite" just because TLS does so and doing so therefore reduced the chances that anybody complains about the terminology. But high level the TLS terminology is not optimal, a TLS 1.2 cipher suite can consist of authentication alg, key exchange alg, encryption alg, and a integrity/KDF alg. Only one of the algorithms is a cipher.

Cheers,
John

-----Original Message-----
From: saag <[email-masked]> on behalf of Mohit Sethi M <mohit.m.sethi=[email-masked]>
Date: Saturday, 20 March 2021 at 08:49
To: "[email-masked]" <[email-masked]>
Subject: [saag] Cryptographic suite terminology

--Mohit

_______________________________________________
saag mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/saag